Bug 10739 - IRPC callback failed for DsReplicaSync Crashes Samba
IRPC callback failed for DsReplicaSync Crashes Samba
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DCE-RPCs and pipes
unspecified
All Linux
: P5 major
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-24 05:26 UTC by Voleatech
Modified: 2016-09-07 04:51 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Voleatech 2014-07-24 05:26:21 UTC
We have a samba4 latest git master replicating with a Windows Server 2008R2 domain controller.
Every 2-3 weeks samba4 crashes with the following error:

[2014/07/24 00:01:35.456559,  0] ../source4/rpc_server/common/forward.c:51(dcesrv_irpc_forward_callback)
IRPC callback failed for DsReplicaSync - NT_STATUS_IO_TIMEOUT
[2014/07/24 00:03:13.100724,  0] ../source4/dsdb/kcc/kcc_periodic.c:664(kccsrv_samba_kcc)
Calling samba_kcc script
[2014/07/24 00:05:58.075844,  0] ../source4/rpc_server/common/forward.c:51(dcesrv_irpc_forward_callback)
IRPC callback failed for DsReplicaSync - NT_STATUS_IO_TIMEOUT
[2014/07/24 00:07:31.711870,  0] ../source4/dsdb/kcc/kcc_periodic.c:646(samba_kcc_done)
 ../source4/dsdb/kcc/kcc_periodic.c:646: Failed samba_kcc - NT_STATUS_IO_TIMEOUT
[2014/07/24 00:10:57.596509,  0] ../source4/dsdb/dns/dns_update.c:294(dnsupdate_nameupdate_done)
 ../source4/dsdb/dns/dns_update.c:294: Failed DNS update - NT_STATUS_IO_TIMEOUT
[2014/07/24 00:10:57.784366,  0] ../source4/dsdb/dns/dns_update.c:323(dnsupdate_spnupdate_done)
 ../source4/dsdb/dns/dns_update.c:323: Failed SPN update - NT_STATUS_IO_TIMEOUT

After that we have to kill -9 all samba processes and restart.
It works again for 2-3 weeks after that.

Let me know if you need more information.

Best
Sven
Comment 1 Andres 2014-10-02 05:41:22 UTC
I have same samba errors and looking answers over internet:P


"Sep 30 15:47:28 dc samba[1980]:   ../source4/dsdb/kcc/kcc_periodic.c:646: Failed samba_kcc - NT_STATUS_IO_TIMEOUT

Sep 29 12:25:23 dc samba[1960]:   ../source4/dsdb/dns/dns_update.c:294: Failed DNS update - NT_STATUS_IO_TIMEOUT

Sep 29 12:25:23 dc samba[1960]:   ../source4/dsdb/dns/dns_update.c:323: Failed SPN update - NT_STATUS_IO_TIMEOUT

Br,
Andres
Comment 2 Andrew Bartlett 2016-07-29 00:11:16 UTC
I think this is a symptom, not a cause.  The server is stuck, and so it fails to accept messages over our internal message bus. 

Can you attach with gdb and get a 'bt full' on the server when it is stuck, so we can see where it is stuck?

Thanks,
Comment 3 Andrew Bartlett 2016-09-07 04:51:10 UTC
Please retry with Samba 4.5.0rc3 or later, we have fixed a number of important replication issues with symptoms like this.

As such, I am marking this as RESOLVED/FIXED.  Please re-open if you can still reproduce.